/*
*
* Copyright (C) 2004-2006 Mekensleep
*
*	Mekensleep
*	24 rue vieille du temple
*	75004 Paris
*       licensing@mekensleep.com
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*
* Authors:
*  Igor Kravtchenko <igor@tsarevitch.org>
*
*/

#ifndef maf_monitor_h 
#define maf_monitor_h

#include <osgCal/CoreModel>

class MAFMonitor : public osgCal::Monitor 
{
public:

	virtual void write(const char *mess) { };
	virtual void setProgressLength(int len) { };
	virtual void progress() { };

	virtual float getAddFactor() const { return addFactor_; };
	virtual void setAddFactor(float addFactor) { addFactor_ = addFactor; };

	virtual float getMulFactor() const { return mulFactor_; };
	virtual void setMulFactor(float mulFactor) { mulFactor_ = mulFactor; };

	virtual void setMulAddFactor(float mulFactor, float addFactor) { mulFactor_ = mulFactor;  addFactor_ = addFactor; };

protected:
	float addFactor_;
	float mulFactor_;
};

#endif
