/*
 *
 * Copyright (C) 2004-2006 Mekensleep
 *
 *	Mekensleep
 *	24 rue vieille du temple
 *	75004 Paris
 *       licensing@mekensleep.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *  Loic Dachary <loic@gnu.org>
 *  Henry Precheur	<henry at precheur dot org>
 *
 */

#include <maf/StdAfx.h>

#ifndef MAF_USE_VS_PCH
#include <maf/camera.h>
#endif

MAFCameraModel::MAFCameraModel() : mUp(0.f, 1.f, 0.f), mRoll(.0f), mFov(.0f), mNear(.0f), mFar(.0f) {}
void MAFCameraController::Init(void) {
  if(!GetModel())
    SetModel(new MAFCameraModel);
  MAFController::Init();
}

MAFCameraModel::~MAFCameraModel()
{
}

