/*
 *
 * Copyright (C) 2006 Mekensleep
 *
 *	Mekensleep
 *	24 rue vieille du temple
 *	75004 Paris
 *       licensing@mekensleep.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *  Igor Kravtchenko <igor@tsarevitch.org>
 *
 */

#include <vserial/stdafx.h>

#ifndef UNDERWARE_VSERIAL_USE_PCH
#include <vserial/vserial.h>
#include <vserial/pass.h>
#endif

ENTER_NAMESPACE_UNDERWARE

Pass::Pass()
{
	diffuse_ = Col4f(1, 1, 1, 1);
	emissive_ = Col4f(0, 0, 0, 0);
	specular_ = Col4f(0, 0, 0, 0);
	ambient_ = Col4f(0, 0, 0, 0);
	glossiness_ = 0.2f;

	pixelOperation_ = PIXOP_REPLACE;
	pixelOpacity_ = 1.0f;
}

Pass::~Pass()
{
}

void Pass::setNbTextureLayers(int _nb)
{
	tlayers_.resize(_nb);
	tlayersbind_.resize(_nb);
}

LEAVE_NAMESPACE
