/*
 *
 * Copyright (C) 2004-2006 Mekensleep
 *
 *	Mekensleep
 *	24 rue vieille du temple
 *	75004 Paris
 *       licensing@mekensleep.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *  Loic Dachary <loic@gnu.org>
 *
 */

#ifndef _EXG_H
#define _EXG_H

#ifdef WIN32
#pragma warning(disable:4244)
#endif // WIN32

#include <exg/exg_basetypes.h>
#include <exg/exg_file.h>
#include <exg/exg_vertex.h>
#include <exg/exg_polygon.h>
#include <exg/exg_material.h>
#include <exg/exg_mesh.h>

#define ENTER_EXG_NAMESPACE namespace exg {
#define LEAVE_NAMESPACE }

namespace exg {

  const double PI=3.14159265358979323846;

};

#endif // _EXG_H 
